Subject: Re: B19: gcc -r option broken?
From: [email-masked] (Christopher G. Faylor)

5 Sep 1998 05:34:10 GMT
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Greg Humphreys <[email-masked]> wrote:
>I'm trying to use the -r option for gcc to generate an executable
>with relocation information in it.  It appears to be broken.
>
>When I run the resulting .exe, I get "This program cannot be run in
>DOS mode".  Every PE viewer I have dies a miserable flaming death on
>the resulting .exe (I've tried three of them, including one I wrote
>myself).
>
>It looks to me that the section headers are messed up (they have very
>large values for the section sizes), which makes the file impossible
>to parse (this is my initial assessment after looking at my own
>PE parser in a debugger).  The fact that the stub program is being 
>run by Windows is even more confusing.
>
>I really need to be able to include relocation information in my
>executables, and I'd like to continue to use gcc.
>
>I'm running Windows 98.  
>
>Any help on this matter would be greatly appreciated.

Sorry.  Your analysis is correct.  This is broken.
Patches to fix this problem would be welcome.
-- 
[email-masked]             "Everything has a boolean value, if you stand
http://www.cygnus.com/      far enough away from it."  -- Galena Alyson Canada